Search found 17 matches

by BobsTheDude
Fri Jun 12, 2020 7:29 pm
Forum: Platform Related Issues
Topic: How to disable console on App execution (macOS)
Replies: 6
Views: 279

Re: How to disable console on App execution (macOS)

Hi, and thank you for reply. I'm not using Xcode to build my testapp. I followed these steps to create the testapp. Here are a couple more resources that may help you. Nice one. https://github.com/iMokhles/wxWidgets-Xcode-Template This one from this site https://forums.wxwidgets.org/viewtopic.php?f...
by BobsTheDude
Fri Jun 12, 2020 7:08 pm
Forum: Platform Related Issues
Topic: How to disable console on App execution (macOS)
Replies: 6
Views: 279

Re: How to disable console on App execution (macOS)

Hi, and thank you for reply. I'm not using Xcode to build my testapp. I followed these steps to create the testapp. It's ok to use 3rd party libs static or dynamic. The problem you are having is that the app is a Unix file not a Mac Pkg format. There are many suggestions on building Mac pkg formats...
by BobsTheDude
Sat Jul 20, 2019 4:45 pm
Forum: Compiler / Linking / IDE Related
Topic: Build 32bit using tdm64-gcc-5.1.0-2
Replies: 2
Views: 466

Re: Build 32bit using tdm64-gcc-5.1.0-2

Thanks doublemax, I just installed the 32-bit version and left the 64-bit in place in case I want to use in the future.
by BobsTheDude
Sat Jul 20, 2019 4:43 pm
Forum: Platform Related Issues
Topic: Upgrade to OSX/Xcode
Replies: 7
Views: 890

Re: Upgrade to OSX/Xcode

Hey oneeyeman, I am a bit confused, of what is actually going on here. "I'm not building anything - this is still a development stage. And is it turns out, while I can successfully build, I can't test, because it apparently requires an install." Are you using swift by chance? or Objective-c, if swif...
by BobsTheDude
Sat Jul 20, 2019 9:43 am
Forum: Platform Related Issues
Topic: Upgrade to OSX/Xcode
Replies: 7
Views: 890

Re: Upgrade to OSX/Xcode

There is no tool or script to do what you are asking. Basically, you installed and used libraries that were installed in /usr/local/lib. Anything in /usr/lib is installed by the OS, anything in /usr/local is installed by the user. So, if you were using a macOS library it would be in /usr/lib by defa...
by BobsTheDude
Fri Jul 19, 2019 11:59 am
Forum: Compiler / Linking / IDE Related
Topic: Build 32bit using tdm64-gcc-5.1.0-2
Replies: 2
Views: 466

Build 32bit using tdm64-gcc-5.1.0-2

I am using tdm64-gcc-5.1.0-2, but can I build wxWidgets in 32bit using this version of tdm64-gcc-5.1.0-2, if so how? Or do I need to scrap this version and just use the 32bit version of tdm?

This is for Windows 10.

Thanks
by BobsTheDude
Thu Jul 18, 2019 10:53 am
Forum: Compiler / Linking / IDE Related
Topic: Windows 32bit or 64bit - static vs dynamic
Replies: 2
Views: 462

Re: Windows 32bit or 64bit - static vs dynamic

Thank you doublemax for the input and direction, I will proceed with all of your recommendations.
by BobsTheDude
Thu Jul 18, 2019 10:09 am
Forum: Compiler / Linking / IDE Related
Topic: Windows 32bit or 64bit - static vs dynamic
Replies: 2
Views: 462

Windows 32bit or 64bit - static vs dynamic

I am fairly new to windows development I come from a macOS, Unix background. On macOS Apple requires 64bit and most development tools give no option for 32bit. It looks like win supports 64bit, so is there any reason why development on a Win PC should be built-in 32bit mode? Looks like you have to s...
by BobsTheDude
Tue Jul 16, 2019 8:27 pm
Forum: Platform Related Issues
Topic: Upgrade to OSX/Xcode
Replies: 7
Views: 890

Re: Upgrade to OSX/Xcode

Hey, I just noticed this post, did you ever resolve this issue?

Looks like you have installed the libs in /usr/local/lib, which your new system does not have installed.
by BobsTheDude
Thu Jul 04, 2019 2:30 am
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2002

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

I followed the git instructions and it built successfully.
by BobsTheDude
Wed Jul 03, 2019 12:56 pm
Forum: Platform Related Issues
Topic: wX3.1.2 and 3.1.3 build, but all programs crash (missing symbols).
Replies: 5
Views: 1020

Re: wX3.1.2 and 3.1.3 build, but all programs crash (missing symbols).

You did a make install, where did the install put your dylib's? These all work with 3.1.2, I have not tried on anything newer yet. Run the following from the dir you created. Debug shared (multiple dylib) ../configure --enable-debug --with-osx_cocoa --with-macosx-version-min=10.9 --enable-monolithic...
by BobsTheDude
Wed Jul 03, 2019 6:12 am
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2002

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

Sure, give me the configuration to use. Also, in the https://github.com/mtangoo/wxWidgets release To configure I used .../../configure --enable-debug --with-osx_cocoa --with-macosx-version-min=10.9 not the following as the directions showed. ../configure --enable-debug --with-osx_cocoa --with-macosx...
by BobsTheDude
Tue Jul 02, 2019 8:05 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2002

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

Can anyone compile this Fork? https://github.com/mtangoo/wxWidgets Ran with: ../configure --enable-debug --with-osx_cocoa --with-macosx-version-min=10.9 make -j4 Does not compile, has errors 3 of them 'const wxCompletionItem', but the function is not marked const. But nothing like the error you wer...
by BobsTheDude
Tue Jul 02, 2019 3:46 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2002

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

Couple things: 1. What version of OSX are you actually running 2. Run gcc --version post output? 3. Is this a virtual installation? 3. Can you run the following for a test 4. Do you have XCode installed, if so what version? 5. Do you have the command line tools installed? Not sure what you have conf...
by BobsTheDude
Wed May 01, 2019 9:05 am
Forum: Compiler / Linking / IDE Related
Topic: Configure wxWidgets to use Xcode on a macOS
Replies: 1
Views: 1284

Configure wxWidgets to use Xcode on a macOS

These steps work with wxWidgets compiled outside of Xcode, and allow you to build wxWidgets Applications using Xcode. Setup: macOS Mojave Version 10.14.4 Version 10.2.1 (10E1001) wxWidgets-3.1.2 [*]If you are using wxWidgets installed by brew or have a version of wxWidgets already installed skip ste...